Subject: Re: bug#21092: 25.0.50; Option `lazy-highlight-max-at-a-time' does not work

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Aug 2015 18:46:41 +0300

> Date: Fri, 28 Aug 2015 08:19:35 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > > 1. emacs -Q
> > > > 2. Visit a file - anything other than a tiny one will do.
> > > > 3. Use `customize-option' to set `lazy-highlight-cleanup' to nil
> > > >    and set `lazy-highlight-max-at-a-time' to nil.
> > > > 4. Search once for a simple string that occurs multiple times throughout
> > > >    the buffer - e.g., `C-s the RET`.
> > > > 5. Scroll down to see that the matches were not highlighted throughout
> > > >    the buffer.  `lazy-highlight-max-at-a-time' does not work as
> > > >    advertised.
> > 
> > What do you mean by "scroll down" in step 5 above?  Scroll down how?
> 
> C-v or whatever.  (Yes, this will exit Isearch,)
> 
> > Scrolling (as any other command that exits I-search) removes all
> > highlighting, at least by default.
> 
> No, it does not.  Not if `lazy-highlight-cleanup' is nil - see step 3.

Missed that, sorry.

> > And "all matches" in the
> > variable's doc string means "all matches shown on the screen",
> 
> How could that be?

I don't know, but that's what I clearly see.

> IIUC, a lot has changed since lazy highlighting and these options
> were first introduced - jit-lock, etc.  Perhaps this worked at one
> time, and a regression was introduced since then?  (No, I don't see
> that myself - the same bug is in Emacs 22.3.)

Do you see any previous version of Emacs where it worked as you
expect?  I don't.

I will now shut up and let people who actually know something about
isearch.el talk.